Nano Labs Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/nano-labs-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/nano-labs-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1733961600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.nano.cn/news-releases/news-release-details/nano-labs-announces-bitcoin-holdings-exceed-360-btc-valued-over",
    "holding_balance": 360.0,
    "holding_net_change": 360.0,
    "transaction_value_usd": 35892000.0,
    "average_entry_value_usd": 99700.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1750896000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/NanoLabsLtd/status/1938078559328997755",
    "holding_balance": 1000.0,
    "holding_net_change": 640.0,
    "transaction_value_usd": 68484185.6,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/nano-labs-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    1000.0
  ],
  [
    1782950400000,
    1000.0
  ],
  [
    1783036800000,
    1000.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/nano-labs-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    59964550.0
  ],
  [
    1782950400000,
    61487830.0
  ],
  [
    1783036800000,
    62525990.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/nano-labs-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.78,
    "date": "2026-06-30",
    "high": 1.86,
    "open": 1.85,
    "close": 1.85,
    "volume": 32300
  },
  {
    "low": 1.79,
    "date": "2026-07-01",
    "high": 1.9,
    "open": 1.87,
    "close": 1.84,
    "volume": 28000
  },
  {
    "low": 1.7,
    "date": "2026-07-02",
    "high": 1.84,
    "open": 1.78,
    "close": 1.7,
    "volume": 45100
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/nano-labs-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/nano-labs-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -32.0,
  "six_month_return": -44.08,
  "three_month_return": -42.57
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/nano-labs-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 158.4,
  "total_btc_percentage": 0.005,
  "share_price_change_state": "down"
}